vJASS & Zinc Documentation
For the latest documentation about how it works vJASS and Zinc language layers for Warcraft III, please follow these links:
Jasshelper documentation - Zinc documentation - WC3 Optimizer documentation

The Jass NewGen Pack (JNGP) 2.0 vs Warcraft III's patch 1.27a

Apelli · 6293

0 Members and 1 Guest are viewing this topic.

So, what is our status right now, is the JNGP broken due to Blizzard awaking from their deep slumber and releasing a 1.27 patch after half a decade since the last one?
(5 years, lol, can't believe it myself)



That's awesome to know that WC3 is still alive (thanks Chinese community for that) and it's very likely that for the Warcraft movie, this game could have a push in popularity.

I just have to check any possible incompatibility and if I found something, I'll report it in this thread.


That's awesome to know that WC3 is still alive (thanks Chinese community for that) and it's very likely that for the Warcraft movie, this game could have a push in popularity.

I just have to check any possible incompatibility and if I found something, I'll report it in this thread.

i can report in moment:
1. lan emulation with new patch doesnt work. (wc3 was unable to initialize) <- this message. opens only one war3 instead of 2 or 3 or 4...
2. sometimes map saves with errors in script, but after second try to save everythin is ok.

JPNG will be patched for 1.27? have this plans on future? )



For both the older JNGP and this newer one I can't get maps to save after the latest Warcraft 3 patch. I don't think it's only the anti-virus program stopping this as I'm getting strange error that I've never had before and I turn off the anti-virus program too...I'm getting a lot of "Unregistered native function" error lines and it happens every time I try to save any map. The only World Editor that works is now the default one. It even happens to melee maps of course.



(...) "Unregistered native function" error lines and it happens every time I try to save any map. (...)

In case you havent tried:
Tick Grimoire->Disable WE syntax checker
Tick JassHelper->Enable JassHelper

I can also confirm that the multiplayer emulation does not work on 1.27a.



Thread separated so we can focus in issues with this new WC3 patch.


In case you havent tried:
Tick Grimoire->Disable WE syntax checker
Tick JassHelper->Enable JassHelper

I can also confirm that the multiplayer emulation does not work on 1.27a.
Oh yeah, it was the Grimoire setting that wasn't right, thanks. Well, yeah the 2.0 feature not working is a major bummer but I guess the rest of the editor works still. Guess I can get back to working on the new map idea I had. For now I'll mostly be making code and object data I suppose. Hopefully the multiplayer emulation will be fixed by the time I need to start testing things heavily.



I'll looking up on this :D :D
Great works moyack!
Hope the new version of JNPG comes up with compatibility for 1.27 patch :D :D



I'll looking up on this :D :D
Great works moyack!
Hope the new version of JNPG comes up with compatibility for 1.27 patch :D :D
this holy week I'll be working in bringing to jngp compatibility to this new patch


alright, i'll always be with you :D :D



 

Power of Corruption - A Warcraft III altered melee map   Chaos Realm - The world of Game modders and wc3 addicts